chiark / gitweb /
test suite: something to have a salsa (general purpose git) repo
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Thu, 15 Feb 2018 19:08:17 +0000 (19:08 +0000)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Sat, 16 Jun 2018 11:25:49 +0000 (12:25 +0100)
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
tests/lib

index ce89a70..e226637 100644 (file)
--- a/tests/lib
+++ b/tests/lib
@@ -189,6 +189,13 @@ t-git-none () {
        (set -e; cd $tmp/git; tar xf $troot/git-template.tar)
 }
 
+t-salsa-add-remote () {
+       local d=$tmp/salsa/$p
+       mkdir -p $d
+       (set -e; cd $d; git init --bare)
+       git remote add ${1-origin} $d
+}
+
 t-git-merge-base () {
        git merge-base $1 $2 || test $? = 1
 }